Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::xfa::XFAPage Class Reference
Inheritance diagram for foxit::addon::xfa::XFAPage:

## Public Member Functions
| XFAPage (const XFAPage &other)
| Constructor, with another XFA page object. More...
| ~XFAPage ()
| Destructor.
Matrix | GetDisplayMatrix (int left, int top, int width, int height, common::Rotation rotate)
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
XFAWidget | GetFirstWidget ()
| Get the first XFA widget in current tab order. More...
float | GetHeight () const
| Get the height of the XFA page. More...
int | GetIndex () const
| Get index of the XFA page. More...
XFAWidget | GetLastWidget ()
| Get the last XFA widget in current tab order. More...
XFAWidget | GetNextWidget (const XFAWidget &widget)
| Get the next XFA widget of a specified XFA widget in current tab order. More...
XFAWidget | GetPrevWidget (const XFAWidget &widget)
| Get the previous XFA widget of a specified XFA widget in current tab order. More...
XFAWidget | GetWidget (int widget_index) const
| Get XFA widget by index. More...
XFAWidget | GetWidgetAtDevicePoint (const Matrix &matrix, const PointF &device_point, float tolerance)
| Get the XFA widget at a specified point, in device coordinate system. More...
XFAWidget | GetWidgetByFullName (const WString &full_name)
| Get the XFA widget which matches the specified full name in current XFA page. More...
int | GetWidgetCount () const
| Get the count of XFA widget. More...
float | GetWidth () const
| Get the width. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const XFAPage &other) const
| Not equal operator. More...
XFAPage & | operator= (const XFAPage &other)
| Assign operator. More...
bool | operator== (const XFAPage &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

Class XFAPage represents the XFA page which is retrieved from XFA document object.
To render an XFA page, please use function common::Renderer::StartRenderXFAPage.

See also
  common::Renderer

## Constructor & Destructor Documentation

## ◆ XFAPage()

foxit::addon::xfa::XFAPage::XFAPage | ( | const XFAPage & | other | ) |

Constructor, with another XFA page object.

Parameters

  [in] | other | Another XFA page object.

## Member Function Documentation

## ◆ GetDisplayMatrix()

Matrix foxit::addon::xfa::XFAPage::GetDisplayMatrix | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height,
|  | common::Rotation | rotate
| ) |  |

Get the display matrix, from PDF coordinate system to targeted device coordinate system.

Parameters

  [in] | left | Left position of the transformation area in device coordinate system, commonly in pixels.
  [in] | top | Top position of the transformation area in device coordinate system, commonly in pixels.
  [in] | width | Width of the transformation area in device coordinate system, commonly in pixels.
  [in] | height | Height of the transformation area in device coordinate system, commonly in pixels.
  [in] | rotate | Rotation value. Please refer to values starting from common::e_Rotation0 and this should be one of these values.

Returns
  A Matrix object that receives the display matrix used for current XFA page. If there is any error, a Matrix with all value 0 will be returned.

## ◆ GetFirstWidget()

XFAWidget foxit::addon::xfa::XFAPage::GetFirstWidget | ( |  | ) |

Get the first XFA widget in current tab order.

Returns
  The first XFA widget. If the return value of function XFAWidget::IsEmpty for the returned XFA widget object is true, that means there is no XFA widget.

## ◆ GetHeight()

float foxit::addon::xfa::XFAPage::GetHeight | ( |  | ) | const

Get the height of the XFA page.

Returns
  A float value that receives the height of current XFA page.

## ◆ GetIndex()

int foxit::addon::xfa::XFAPage::GetIndex | ( |  | ) | const

Get index of the XFA page.

Returns
  The index of XFA page.

## ◆ GetLastWidget()

XFAWidget foxit::addon::xfa::XFAPage::GetLastWidget | ( |  | ) |

Get the last XFA widget in current tab order.

Returns
  The last XFA widget. If the return value of function XFAWidget::IsEmpty for the returned XFA widget object is true, that means there is no XFA widget.

## ◆ GetNextWidget()

XFAWidget foxit::addon::xfa::XFAPage::GetNextWidget | ( | const XFAWidget & | widget | ) |

Get the next XFA widget of a specified XFA widget in current tab order.

Parameters

  [in] | widget | A valid specified XFA widget.

Returns
  The next XFA widget. If the return value of function XFAWidget::IsEmpty for the returned XFA widget object is true, that means the specified XFA widget is the last XFA widget in current tab order.

## ◆ GetPrevWidget()

XFAWidget foxit::addon::xfa::XFAPage::GetPrevWidget | ( | const XFAWidget & | widget | ) |

Get the previous XFA widget of a specified XFA widget in current tab order.

Parameters

  [in] | widget | A valid specified XFA widget.

Returns
  The previous XFA widget. If the return value of function XFAWidget::IsEmpty for the returned XFA widget object is true, that means the specified XFA widget is the previous XFA widget in current tab order.

## ◆ GetWidget()

XFAWidget foxit::addon::xfa::XFAPage::GetWidget | ( | int | widget_index | ) | const

Get XFA widget by index.

Parameters

  [in] | widget_index | The XFA widget index. Valid range: from 0 to (count-1). count is returned by function XFAPage::GetWidgetCount.

Returns
  The XFA widget.

## ◆ GetWidgetAtDevicePoint()

XFAWidget foxit::addon::xfa::XFAPage::GetWidgetAtDevicePoint | ( | const Matrix & | matrix,
|  | const PointF & | device_point,
|  | float | tolerance
| ) |  |

Get the XFA widget at a specified point, in device coordinate system.

Parameters

  [in] | matrix | The transformation matrix. Usually this is returned by function XFAPage::GetDisplayMatrix.
  [in] | device_point | A point in device coordinate system.
  [in] | tolerance | Tolerance value. Valid range: 0.0f to 30.0f.

Returns
  An XFA Widget object.

## ◆ GetWidgetByFullName()

XFAWidget foxit::addon::xfa::XFAPage::GetWidgetByFullName | ( | const WString & | full_name | ) |

Get the XFA widget which matches the specified full name in current XFA page.

Parameters

  [in] | full_name | An XFA widget's full name. It should not be an empty string. XFA widget's full name can be retrieved by function XFAWidget::GetName with type XFAWidget::e_WidgetNameTypeFullName in previous process.

Returns
  An XFA Widget object.

## ◆ GetWidgetCount()

int foxit::addon::xfa::XFAPage::GetWidgetCount | ( |  | ) | const

Get the count of XFA widget.

Returns
  The count of XFA widget.

## ◆ GetWidth()

float foxit::addon::xfa::XFAPage::GetWidth | ( |  | ) | const

Get the width.

Returns
  A float value that receives the width of current XFA page.

## ◆ IsEmpty()

bool foxit::addon::xfa::XFAPage::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::addon::xfa::XFAPage::operator!= | ( | const XFAPage & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another XFA page object. This function will check if current object is bot equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

XFAPage& foxit::addon::xfa::XFAPage::operator= | ( | const XFAPage & | other | ) |

Assign operator.

Parameters

  [in] | other | Another XFA page object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::xfa::XFAPage::operator== | ( | const XFAPage & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another XFA page object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.